Summary:        A distributed version control tool
Name:           monotone
Version:        1.1
%define subrel 1
Release:        %mkrel 4
License: GPLv2
Group: Development/Other
Source: http://monotone.ca/downloads/%{version}/%{name}-%{version}.tar.bz2
Url: http://monotone.ca
BuildRequires:  boost-devel
BuildRequires:  zlib-devel
BuildRequires:  texinfo
BuildRequires:  botan-devel >= 1.10.12
BuildRequires:  pcre-devel
BuildRequires:  sqlite3-devel
BuildRequires:  lua5.2-devel
BuildRequires:  libidn-devel

%description
monotone is a free, distributed version control system. it provides
fully disconnected operation, manages complete tree versions, keeps
its state in a local transactional database, supports overlapping
branches and extensible metadata, exchanges work over plain network
protocols, performs history-sensitive merging, and delegates trust
functions to client-side RSA certificates.

%prep
%setup -q

%build
%configure2_5x
%make
make html

%check
make check

%install
%makeinstall
%__rm -fr %{buildroot}%{_docdir}/%{name}

%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/mtn*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/hooks
%{_datadir}/%{name}/scripts
%{_sysconfdir}/bash_completion.d/*
%{_infodir}/%{name}*
%{_mandir}/man1/*
%doc AUTHORS COPYING NEWS README UPGRADE doc/monotone.html contrib


%changelog
* Sun Feb 28 2016 oden <oden> 1.1-4.1.mga5
+ Revision: 980487
- make sure botan-1.10.12 devel is pulled in
- rebuilt due to new botan libs

* Wed Oct 15 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 745604
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-3.mga5
+ Revision: 682594
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 tv <tv> 1.1-2.mga5
+ Revision: 641693
- rebuild with lua-5.2

* Tue Jun 10 2014 malo <malo> 1.1-1.mga5
+ Revision: 635545
- new version 1.1

* Wed Jan 08 2014 malo <malo> 1.0-6.mga4
+ Revision: 565563
- disable network-related tests

  + fwang <fwang>
    - sync with other fedora patches
    - fix build with recent texinfo
    - rebuild for new boost

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Apr 13 2013 barjac <barjac> 1.0-4.mga3
+ Revision: 409924
- patch for boost-1.53

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 360269
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.0-2.mga3
+ Revision: 344089
- remove test that was failing due to new patch

  + fwang <fwang>
    - apply all patches
    - add fedora patch to fix test
    - br lua5.1

* Sun Feb 19 2012 malo <malo> 1.0-1.mga2
+ Revision: 210829
- fix html doc path
- fix license to GPLv2
- fix tabs vs space issue
- spec clean-up after import
- update to newest version 1.0
- added patches from upstream
- imported package monotone

